/**
 * JS Document. 
 * @author Sandro Jordão.
 */

function dashboard()
{
	var id = this.id;
	var topo = $("#" + id).offset().top;
	var esquerda = $("#" + id).offset().left;
	
	//alert(id + ' - ' + topo + ' - ' + esquerda);
/*
	$.post(basepath + "principal/alteraPosicao", {
		id  	 : id, 	  	 		  	 	
		topo 	 : topo, 	  	
		esquerda : esquerda
	}, function(data){
		//alert(data);
	});
*/
}

function miniDashboard()
{
	var parametros = this.id;
	var quebra = parametros.split("_");

	$('#contentDashboard_' + quebra[1]).slideToggle('slow');
}

function closeDashboard()
{
	var parametros = this.id;
	var quebra = parametros.split("_");

	$('#dashboard_' + quebra[1]).fadeOut('slow');	
	
	// AQUI... Excluir o registro no banco
}

function reload()
{
	setTimeout(function(){
		gerar1();
	}, 3000);
}

function gerar1()
{
	$.post(basepath + "principal/gerarDashboard", 
		function(data){ 
		
		$('#grafico1').html(data); 
		
		$('.dashboardMove').mouseup(dashboard);

		$(".dashboardMove").draggable();
		$("#Pizza").resizable();
		
		$(".imgMini").click(miniDashboard);
		$(".imgClose").click(closeDashboard);
		
		reload();
	});
}

function gerar2()
{
	$.post(basepath + "principal/gerarDashboardColumn", 
		function(data){ 
		
		$('#grafico2').html(data); 
		
		$('.dashboardMove').mouseup(dashboard);

		$(".dashboardMove").draggable();
		$("#Pizza").resizable();
		
		$(".imgMini").click(miniDashboard);
		$(".imgClose").click(closeDashboard);
		
		reload();
	});
}

function init()
{

	$('.dashboardMove').mouseup(dashboard);

	$(".dashboardMove").draggable();
	
	$("#Pizza").resizable();
	
	$(".imgMini").click(miniDashboard);
	$(".imgClose").click(closeDashboard);
	
	$("#gerar1").click(gerar1);
	$("#gerar2").click(gerar2);

}

$(document).ready(init);